html, body {
  height: 100%; /* Asegura que el body use todo el alto disponible */
  margin: 0; 
  font-size: 16px;
}



body {
  display: flex;
  flex-direction: column;
  min-height: 100vh; /* Altura mínima de toda la pantalla */
}

main {
  flex: 1; /* Hace que el contenido crezca y empuje el footer hacia abajo */  
}

main {
    max-width: 1360px;
    padding-top: 20px;
    padding-bottom: 20px;
}
@media (min-width: 770px) {
  main {
      margin-left: auto;
      margin-right: auto;
  }
}

@media (min-width: 1360px) {
  main {
    min-width: 1200px;
  }
}
@media (max-width: 1360px) and (min-width: 770px) {
  main {
    min-width: 95vw;
  }
}

h1 {
    color: goldenrod
}
h1 .centrat {
    text-align: center;
}

.dl-inline {
  display: grid;
  grid-template-columns: max-content 1fr;
  column-gap: 1rem;
  row-gap: 0.5rem;
}

.dl-inline dt {
  font-weight: 600;
  white-space: nowrap;
}

.dl-inline dd {
  margin: 0;
}

a {
  color: inherit;
  text-decoration: underline;
  cursor: pointer;
  
   font-size: clamp(1rem, 2.5vw, 1.25rem);
}
a:visited {
  color: inherit;
}


.bloc-aclariment, .bloc-intro, .bloc-puntuacio {
  max-width: 1360px;
  margin-left: auto;
  margin-right: auto;
}

.bloc-puntuacio {
  display: grid;
  grid-template-columns: max-content max-content 1fr;
  gap: 10px;
  border: 1px solid #ccc;
  padding: 15px;
  margin-bottom: 20px;
  border-radius: 8px;    
  margin-top:1rem;
}

.explicacio-jugador {
  border: 1px solid #ccc;
  padding: 15px;
  margin-bottom: 20px;
  border-radius: 8px;    
  margin-top:1rem;
  background-color: #f9f9f9;
}

.bloc-intro,.bloc-explicacio, .bloc-e-sense-i {  
  border: 1px solid #ccc;
  padding: 15px;
  margin-bottom: 20px;
  border-radius: 8px;    
  margin-top:1rem;
}
.bloc-explicacio,.bloc-puntuacio, .bloc-e-sense-i, .bloc-intro {
  background-color: #f9f9f9;
}

.bloc-explicacio {
  display: flex;
  flex-wrap: wrap;
  align-items: center;
}

.titol-explicacio {
    display: flex;
    justify-content: center;
}
.titol-explicacio a {
  font-size: 2rem;
}
.titol-explicacio h2 {
  margin:0px;
}

@media (max-width: 769px) {  
  .titol-explicacio a {
    font-size: 1.2rem;
  }
}



.lema-capcalera {
  font-size: 0.875rem;
  color: #666;
  margin-bottom: 10px;
  text-align: center;
  font-style: italic;
}

.titol-centrat {
  text-align: center;
}

.titol-main {
  font-size: 2.5rem;
  font-weight: 700;
  text-align: center;
  margin: 20px 0;  
}

@media (max-width: 769px) {
  .titol-main {
    font-size: 1.8rem;
  }
}


.contenidor-botons {
  display: flex;              
  justify-content: center;      
  flex-wrap: wrap;
}


.boto {
    text-decoration: none!important;
    color:inherit!important;
    width: 300px;
    border: solid 1px;
    background: goldenrod;
    box-shadow: 2px 2px 5px rgba(0,0,0,0.3);
    text-align: center;
    margin: 5px;
    padding: 10px;
    display: inline-block;
    border-radius: 10px;
    cursor: pointer;
}

.boto.selected {
    background: orange;
    font-weight: bold;
    cursor: default;
    pointer-events: none;
    box-shadow: none;}


@media (max-width: 769px) {
  .c-oulta-m {
    display: none;
  }
}
th {
top: 0;                    /* o la altura de tu header fijo si tienes uno */
  position: sticky;
}


.btn-x {
    background-color: white; /* Color negro oficial de X */
    color: black;
    padding: 10px 20px;
    font-size:0.7rem;
    text-decoration: none;
    border-radius: 20px;
    font-family: Arial, sans-serif;
    font-weight: bold;
    display: inline-block;
    transition: background-color 0.3s;
  }

  .btn-x:hover {
    background-color: #daf0f0;
  }
  a.btn-x img  {
    width: 10px;
    height: 10px;    
  }

  .avis-provisional {
    background-color: #f9f9f9;
    padding: 10px;
    font-style: italic;
    font-size: 0.9 rem;
    text-align: center;
  }

  #titol-chop-i-imatge {
        display: flex;             
        justify-content: space-between; 
        align-items: baseline;               
    }

  #titol-chop {
    font-family: Open Sans;
    font-size: 3em;
    color:rgb(0, 20, 75);
    font-weight: bold;
    @media (max-width: 769px) {
      font-size: 1.4em;  
    }
  }

  #imatge-chop img {
      max-width: 300px;
      height: auto;        
      margin-bottom: -10px;
      @media (max-width: 769px) {
        max-width: 180px;
      }
  }

  #peu {
    text-align: center;
  }

  #lemachop {
    color:white;background-color: rgb(0, 20, 75);font-family: Open Sans;font-size: 1.3rem;
    @media (min-width: 770px) {
      height : 2rem;
    }
  }


  .contenidor {
      display: flex;
      flex-wrap: wrap;           /* permite que se apilen en móvil */
      gap: 2rem;                 /* espacio entre elementos */
      align-items: center;       /* centra verticalmente */
      max-width: 1200px;
      margin: 0 auto;
      padding: 2rem;
    }

.bloc-explicacio .imatge {
      flex: 0 1 300px;          /* crece, pero nunca menor a 300px */
      min-width: 0;             /* evita desbordes en imágenes grandes */
      max-width: 300px;
    }

@media (min-width: 770px) {
  .bloc-explicacio .imagen {
    flex: 1 1 300px;         /* en desktop SÍ puede crecer */
  }
}

.bloc-explicacio .text {
      flex: 2 1 350px;          /* ocupa más espacio que la imatge */
      min-width: 0;
      padding-left:20px;
    }

.bloc-explicacio .imatge img {
      width: 100%;
      height: auto;
      display: block;
      border-radius: 8px;
      object-fit: cover;
    }

    @media (max-width: 768px) {
      .bloc-explicacio {
        flex-direction: column;   /* cambia a vertical en móvil */
        gap: 1.5rem;
      }
    }

    @media (max-width: 769px) {
      .banner_principal img {
        width: 100%;
      }
    }